package com.qmai.android.plugin

import org.gradle.api.Project
import org.gradle.api.Plugin

/**
 * A simple 'hello world' plugin.
 */
public class CustomPlugin implements Plugin<Project> {
    public void apply(Project project) {
      
      
    project.extensions.add("myextenstion",MyExtenstion)
    
        // Register a task
        project.tasks.register("greeting1") {
            doLast {
                println("Hello from plugin 'GradlePlugin.greeting'")
            
        def extensions = project.myextenstion

        println ">>> extenstion= ${extensions.name}"
            }
        }
    }
}